OpenVZ Forum


Home » International » Russian » iptables version for CT (есть ограничения)
iptables version for CT [message #51762] Thu, 13 November 2014 02:34
seyko2 is currently offline  seyko2
Messages: 184
Registered: February 2007
Location: Moscow
Senior Member

From: 83.220.237*
При настойке CT с самособранной версией gentoo столкнулся с проблемой -- при восстановлении CT в его консоли сыпались сообщения об ошибках от /sbin/modprobe о невозможности загрузить модули ядра ip_tables и ip6_tables. Обнуление в VE0 /proc/sys/kernel/modprobe перед запуском CT помогало. Дальнейшее изучение показало, что на самом деле в контейнере (ядро 042stab094.7) должна быть версия пакета iptables не ниже 1.4.21. До этого там была версия 1.4.10. Вроде как работала, но вот вызывала /sbin/modprobe, будучи запущенной ядром при restore внутри контейнера (https://bugzilla.openvz.org/show_bug.cgi?id=3121)

Некоторые CT со старыми template типа debian-31. из-за версии iptables вообще не могут быть suspended.

PS: Перед этим вроде прочитал всю openvz wiki и документацию, но про ограничения на версию iptables ничего не было.
Previous Topic: a kernel firmware loading
Next Topic: constant script name which executes when CT mounted
Goto Forum:
  


Current Time: Fri Dec 15 04:38:01 GMT 2017